Package org.eclipse.rdf4j.http.server

## Class HTTPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.rdf4j.http.server.HTTPException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ClientHTTPException`, `ServerHTTPException`

      public class HTTPException
      extends Exception

  HTTP-related exception that includes the relevant HTTP status code.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTTPException​(int statusCode)` |
    `HTTPException​(int statusCode, String message)` |
    `HTTPException​(int statusCode, String message, Throwable t)` |
    `HTTPException​(int statusCode, Throwable t)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getStatusCode()` |
    `protected void` | `setStatusCode​(int statusCode)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPException

          public HTTPException​(int statusCode)

    - #### HTTPException

          public HTTPException​(int statusCode,
                               String message)

    - #### HTTPException

          public HTTPException​(int statusCode,
                               String message,
                               Throwable t)

    - #### HTTPException

          public HTTPException​(int statusCode,
                               Throwable t)

  - ### Method Detail

    - #### getStatusCode

          public final int getStatusCode()

    - #### setStatusCode

          protected void setStatusCode​(int statusCode)